<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form>
            <h1>#{messages['net.ihe.gazelle.simulators.StatisticsOnMessages']}</h1>
            <h:outputText value="#{messages['net.ihe.gazelle.simulators.ThisPageShowsStatisticsOnTheMessagesExchangedWit']}"
                          styleClass="help-block"/>
            <gri:panel pid="statDom">
                <f:facet name="header">#{messages['net.ihe.gazelle.simulators.Domains']}</f:facet>
                <dl class="dl-horizontal">
                    <a4j:repeat value="#{tiStatistics.getStatsOnDomain()}"
                                var="domStat">
                        <ui:decorate template="/layout/display/_display_progress_bar.xhtml">
                            <ui:define name="label">#{domStat.label}</ui:define>
                            <ui:param name="bar_type" value="#{messages['net.ihe.gazelle.simulators.Info']}"/>
                            <ui:param name="width_in_percent" value="#{domStat.percent}"/>
                            <ui:param name="legend" value="#{domStat.count}"/>
                            <ui:param name="dt_styleClass" value="dt-long-label"/>
                        </ui:decorate>
                    </a4j:repeat>
                </dl>
            </gri:panel>
            <gri:panel pid="statAct">
                <f:facet name="header">#{messages['net.ihe.gazelle.simulators.SimulatedActors']}</f:facet>
                <dl class="dl-horizontal">
                    <a4j:repeat value="#{tiStatistics.getStatsOnSimulatedActor()}"
                                var="actStat">
                        <ui:decorate template="/layout/display/_display_progress_bar.xhtml">
                            <ui:define name="label">#{actStat.label}</ui:define>
                            <ui:param name="bar_type" value="#{messages['net.ihe.gazelle.simulators.Info']}"/>
                            <ui:param name="width_in_percent" value="#{actStat.percent}"/>
                            <ui:param name="legend" value="#{actStat.count}"/>
                            <ui:param name="dt_styleClass" value="dt-long-label"/>
                        </ui:decorate>
                    </a4j:repeat>
                </dl>
            </gri:panel>
            <gri:panel pid="statTran">
                <f:facet name="header">#{messages['net.ihe.gazelle.simulators.Transactions']}</f:facet>
                <dl class="dl-horizontal">
                    <a4j:repeat value="#{tiStatistics.getStatsOnTransaction()}"
                                var="transStat">
                        <ui:decorate template="/layout/display/_display_progress_bar.xhtml">
                            <ui:define name="label">#{transStat.label}</ui:define>
                            <ui:param name="bar_type" value="#{messages['net.ihe.gazelle.simulators.Info']}"/>
                            <ui:param name="width_in_percent" value="#{transStat.percent}"/>
                            <ui:param name="legend" value="#{transStat.count}"/>
                            <ui:param name="dt_styleClass" value="dt-long-label"/>
                        </ui:decorate>
                    </a4j:repeat>
                </dl>
            </gri:panel>
        </h:form>
    </ui:define>
</ui:composition>